package org.w3c.rdf.util.xml;

import org.w3c.rdf.model.*;
import org.w3c.rdf.syntax.*;
import org.w3c.rdf.implementation.model.StatementImpl;
import org.w3c.rdf.implementation.model.NodeFactoryImpl;

public class DumpConsumer implements RDFConsumer {
      
  int num = 0;
  NodeFactory f = new NodeFactoryImpl();

  public void startModel () {}
  public void endModel () {
    System.out.println("Total statements: " + num);
  }

  public NodeFactory getNodeFactory() {
    return f;
  }

  public void addStatement (Statement s) {
    System.out.println(s.toString());
    num++;
  }
}
